Skip to main content
POST
Create a multi payment instruction
Create a new multi payment instruction. Requires either a sell currency or existing trade ID to create the instruction

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token

X-Contact-ID
string

The ID of the contact

Query Parameters

client_id
string
required

The ID of the client

trade_id
string

Trade ID to book payments against. Omit if trade should be executed to fund payments

sell_currency
string

If trade_id omitted, a sell currency must be supplied

accept_partial
boolean
default:true

Accept a partially successful instruction. If true, send successful instructions for payment. If false, reject the entire instruction

accept_immediately
boolean
required

Set to true. Accept quote immediately, do not require confirmation

vop_authorization_id
string

VoP authorization ID to confirm not full-match payment

Body

application/json

Request Payload

account_number
string | null
required

Destination account number

bank_address
string | null
required

Destination bank address

bank_code
string | null
required

Destination bank code

bank_country
string
required

Destination bank country

Minimum string length: 1
bank_name
string | null
required

Destination bank name

beneficiary_address
string | null
required

Address of beneficiary

beneficiary_name
string | null
required

Name of beneficiary

beneficiary_country
string | null
required

Country of beneficiary

direction
enum<string>
required

Type of payment, 'buy' or 'sell'

Available options:
buy,
sell
iban
string | null
required

IBAN of the destination account

payment_currency
string
required

Destination currency

Minimum string length: 1
payment_amount
number<float>
required

Amount to be paid

Required range: x >= 0
reason_for_trade
string | null
required

Reason for trade

swift_code
string | null
required

SWIFT code of destination bank

trade_type
enum<string>
required

Type of trade. 'spot' is the only supported value at the moment

Available options:
spot
value_date
string | null
required

Date when the transaction will be performed

payment_reference
string | null

Reference of payment

beneficiary_reference
string | null

Reference of beneficiary

purpose_of_payment
string | null

Text describing the purpose of the payment

reference
string | null

Payment reference

inn
string | null

The INN of the bank account

Pattern: ^[0-9]{10}([0-9]{2})?$
vo
string | null

The VO of the bank account

kio
string | null

The KIO of the bank account

russian_central_bank_account
string | null

Russian central bank account

Example:

Response

Multi payment created, see response body for status

multipayment_id
integer<int32>
required

The multipayment ID

account_details
object

A bank account.

invalid_payments
any[]
trade_details
object[]